Subject: bug#38183: 26.3; Doc about equality of markers

From: Drew Adams <[email-masked]>
Date: Fri, 15 Nov 2019 09:26:45 -0800 (PST)

> > I think the doc about equality of markers should be improved.
> 
> I don't understand what are the practical problems caused by the
> current text in the manual.  It seems the information you were after
> is present, so it isn't clear what exactly is the problem here.
> 
> It seems that the only problem you have is the place where the details
> of 'equal' for markers are described?

I think the bug report is pretty clear, detailed, and
specific.  But to provide a quick summary response:

1. Yes, "Creating Markers" is not the best place for
   specifying equality tests between markers.

2. There should be an example for `equal' that shows
   inequality when the positions are the same but the
   buffers differ.

3. In the section about markers, there should be a
   mention of how to compare markers with regard only
   to their positions, i.e., use `='.

This, from the bug report, says what I think is needed,
as a minimum:

  At the very least, all of that info should be
  available in one place, in the section about markers.

  And it should include simple examples (like now, but
  including `=' and the case of `equal' for two markers
  with the same numerical value but for different buffers).

Please consider putting all of the info in the section
about markers, mentioning the different equality tests:
`eq', `equal', and `='.